package meerkat.voting.ui;

import meerkat.voting.ui.uicommands.TickCommand;
import meerkat.voting.ui.uicommands.UICommand;

import java.util.TimerTask;
import java.util.concurrent.LinkedBlockingQueue;

/**
 * Created by hai on 25/04/16.
 */
class TickerTimerTask extends TimerTask {
    private LinkedBlockingQueue<UICommand> uiQueue;
    public TickerTimerTask (LinkedBlockingQueue<UICommand> uiQueue) {
        this.uiQueue = uiQueue;
    }

    @Override
    public void run() {
        UICommand t = uiQueue.peek();
        if ((t != null) && !(t instanceof TickCommand)) {
            uiQueue.add(new TickCommand(null));
        }
    }
}
