package meerkat.voting.ui.uicommands;

import meerkat.protobuf.Voting.*;
import meerkat.voting.controller.callbacks.*;

import java.util.List;

/**
 * Created by hai on 18/04/16.
 */
public class ChannelChoiceUICommand extends UICommand {

    private final List<BallotQuestion> questions;

    public ChannelChoiceUICommand(List<BallotQuestion> questions, ControllerCallback callback)
    {
        super(callback);
        this.questions = questions;
    }

    public List<BallotQuestion> getQuestions () {
        return this.questions;
    }
}
