package meerkat.voting.output.outputcommands;

import meerkat.protobuf.Voting.*;
import meerkat.voting.controller.callbacks.ControllerCallback;

/**
 * Created by hai on 15/06/16.
 */
public class AuditOutputCommand extends OutputCommand {

    private final BallotSecrets ballotSecrets;

    public AuditOutputCommand(BallotSecrets ballotSecrets, ControllerCallback callback) {
        super(callback);
        this.ballotSecrets = ballotSecrets;
    }

    public BallotSecrets getBallotSecrets() {
        return ballotSecrets;
    }

}
